Subject: [bfcpbis] I-D Action: draft-ietf-bfcpbis-rfc4583bis-04.txt

From: [email-masked]
Date: Wed, 19 Dec 2012 05:21:26 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
 This draft is a work item of the Binary Floor Control Protocol Bis  Working Group of the IETF.

	Title           : Session Description Protocol (SDP) Format for Binary Floor Control Protocol (BFCP) Streams
	Author(s)       : Gonzalo Camarillo
                          Tom Kristensen
	Filename        : draft-ietf-bfcpbis-rfc4583bis-04.txt
	Pages           : 15
	Date            : 2012-12-19

Abstract:
   This document specifies how to describe Binary Floor Control Protocol
   (BFCP) streams in Session Description Protocol (SDP) descriptions.
   User agents using the offer/answer model to establish BFCP streams
   use this format in their offers and answers.

   This document obsoletes RFC 4583.  Changes from RFC 4583 are
   summarized in Section 12.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-bfcpbis-rfc4583bis

There's also a htmlized version available at:
http://tools.ietf.org/html/draft-ietf-bfcpbis-rfc4583bis-04

A diff from the previous version is available at:
http://www.ietf.org/rfcdiff?url2=draft-ietf-bfcpbis-rfc4583bis-04

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Tom Kristensen <[email-masked]>
Date: Wed, 19 Dec 2012 14:44:38 +0100

> 	Filename        : draft-ietf-bfcpbis-rfc4583bis-04.txt

Changes from -03:
- Fixed according to Camarillo's input and comments on list 2012-10-24
- Use UDP/TLS/BFCP not UDP/DTLS/BFCP in the example.
- Added normative reference to RFC 5763, Section 5 also in
   Section 8 Authentication.
- Resolved issue with different way to pick (D)TLS initiator for TCP and
   UDP, adding informational note.

To my knowledge, in this draft version all the issues from WGLC and 
after are answered and fixed if appropriate.

-- Tom

---

From: "Charles Eckel (eckelcu)" <[email-masked]>
Date: Wed, 19 Dec 2012 22:08:18 +0000

Everyone who submitted WGLC comments, please confirm this version addresses all your comments satisfactorily.
Everyone else, please review the entire draft carefully and share any comment or concerns you have.
Thanks to Tom for incorporating all the feedback and posting this update.

Happy Holidays!
Charles

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Tom Kristensen (tomkrist)
> Sent: Wednesday, December 19, 2012 5:45 AM
> To: [email-masked]
> Cc: 'Tom Kristensen'
> Subject: Re: [bfcpbis] I-D Action: draft-ietf-bfcpbis-rfc4583bis-04.txt
> 
> _______________________________________________
> bfcpbis mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/bfcpbis

---

From: "Charles Eckel (eckelcu)" <[email-masked]>
Date: Wed, 26 Dec 2012 23:16:21 +0000

The changes look good to me. I do have the following editorial suggestions:

1) Section 3
r/transport field explained below/transport field, as explained below
r/of transport used/of the transport used
r/ TCP is used as transport/ TCP is used as the transport
r/ UDP is used as transport/ UDP is used as the transport

2 Section 7
r/ use TCP or UDP as underlying transport/ use TCP or UDP as the underlying transport

Cheers,
Charles

> Behalf Of Charles Eckel (eckelcu)
> Sent: Wednesday, December 19, 2012 2:08 PM
> To: Tom Kristensen (tomkrist); [email-masked]
> Cc: 'Tom Kristensen'
> Everyone who submitted WGLC comments, please confirm this version
> addresses all your comments satisfactorily.
> > >   This draft is a work item of the Binary Floor Control Protocol Bis
> Working
> > Group of the IETF.
> > >